{
  stdenv
, lib, fetchFromGitLab
, meson, ninja, pkg-config
, qtbase, wrapQtAppsHook
, wlroots_0_16, wayland, pixman
, dfl-applications, dfl-utils, dfl-ipc, wayqt
}:

stdenv.mkDerivation {
  pname = "qtgreet";
  version = "20230117";

  src = fetchFromGitLab {
    owner = "marcusbritanicus";
    repo = "QtGreet";
    rev = "666603c38bbc408fd56126f3c8508009edf8dc44";
    sha256 = "0gigmlg4a0ddzhfnkhbrh67m23g6vhzayfv4gbvqjmkky91qnz93";
  };

  mesonFlags = [
    "-Dnodynpath=true"
  ];
  
  buildInputs = [
    qtbase meson ninja pkg-config
    wlroots_0_16 wayland pixman
    wayqt dfl-applications dfl-ipc dfl-utils
  ];
  nativeBuildInputs = [ wrapQtAppsHook ]; 
}
